using SecuritySystemDataModels.Models;
using System.ComponentModel;

namespace SecuritySystemContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        [DisplayName("Идентификатор")]
        public string MessageId { get; set; } = string.Empty;
        public int? ClientId { get; set; } = null;
        [DisplayName("Отправитель")]
        public string SenderName { get; set; } = string.Empty;
        [DisplayName("Дата получения")]
        public DateTime DateDelivery { get; set; } = DateTime.Now;
        [DisplayName("Тема")]
        public string Subject { get; set; } = string.Empty;
        [DisplayName("Текст")]
        public string Body { get; set; } = string.Empty;
    }
}
